Index: trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 994)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 995)
@@ -27,5 +27,5 @@
       ResponseList<User> response = new ResponseList<User>();
 
-      List<User> allUsers = new List<User>(userAdapter.GetAllUsers());
+      List<User> allUsers = new List<User>(userAdapter.GetAll());
       response.List = allUsers;
       response.Success = true;
@@ -38,10 +38,10 @@
       ResponseObject<User> response = new ResponseObject<User>();
 
-      if (user.PermissionOwnerId != 0) {
+      if (user.Id != 0) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_ID_MUST_NOT_BE_SET;
         return response;
       }
-      if (userAdapter.GetUserByName(user.Name) != null) {
+      if (userAdapter.GetByName(user.Name) != null) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USERNAME_EXISTS_ALLREADY;
@@ -49,5 +49,5 @@
       }
 
-      userAdapter.UpdateUser(user);
+      userAdapter.Update(user);
       response.Obj = user;
       response.Success = true;
@@ -60,5 +60,5 @@
       ResponseList<UserGroup> response = new ResponseList<UserGroup>();
 
-      response.List = new List<UserGroup>(userGroupAdapter.GetAllUserGroups());
+      response.List = new List<UserGroup>(userGroupAdapter.GetAll());
       response.Success = true;
       response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_GET_ALL_USERGROUPS;
@@ -69,5 +69,5 @@
     public Response RemoveUser(long userId) {
       Response response = new Response();
-      User user = userAdapter.GetUserById(userId);
+      User user = userAdapter.GetById(userId);
       if (user == null) {
         response.Success = false;
@@ -75,5 +75,5 @@
         return response;
       }
-      userAdapter.DeleteUser(user);
+      userAdapter.Delete(user);
       response.Success = true;
       response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USER_REMOVED;
@@ -85,5 +85,5 @@
       ResponseObject<UserGroup> response = new ResponseObject<UserGroup>();
       
-      if (userGroup.PermissionOwnerId != 0) {
+      if (userGroup.Id != 0) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_ID_MUST_NOT_BE_SET;
@@ -91,5 +91,5 @@
       }
 
-      userGroupAdapter.UpdateUserGroup(userGroup);
+      userGroupAdapter.Update(userGroup);
       response.Obj = userGroup;
       response.Success = false;
@@ -102,5 +102,5 @@
       Response response = new Response();
 
-      UserGroup userGroupFromDb = userGroupAdapter.GetUserGroupById(groupId);
+      UserGroup userGroupFromDb = userGroupAdapter.GetById(groupId);
       if (userGroupFromDb == null) {
         response.Success = false;
@@ -108,5 +108,5 @@
         return response;
       }
-      userGroupAdapter.DeleteUserGroup(userGroupFromDb);
+      userGroupAdapter.Delete(userGroupFromDb);
       response.Success = false;
       response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USERGROUP_ADDED;
@@ -118,5 +118,5 @@
       Response response = new Response();
 
-      User user = userAdapter.GetUserById(userId);
+      User user = userAdapter.GetById(userId);
       if (user == null) {
         response.Success = false;
@@ -125,5 +125,5 @@
       }
 
-      UserGroup userGroup = userGroupAdapter.GetUserGroupById(groupId);
+      UserGroup userGroup = userGroupAdapter.GetById(groupId);
       if (userGroup == null) {
         response.Success = false;
@@ -132,5 +132,5 @@
       }
       userGroup.Members.Add(user);
-      userGroupAdapter.UpdateUserGroup(userGroup);
+      userGroupAdapter.Update(userGroup);
 
       response.Success = true;
@@ -143,6 +143,6 @@
       Response response = new Response();
 
-      UserGroup userGroup = userGroupAdapter.GetUserGroupById(groupId);
-      UserGroup userGroupToAdd = userGroupAdapter.GetUserGroupById(groupToAddId);
+      UserGroup userGroup = userGroupAdapter.GetById(groupId);
+      UserGroup userGroupToAdd = userGroupAdapter.GetById(groupToAddId);
 
       if (userGroup == null || userGroupToAdd == null) {
@@ -161,5 +161,5 @@
       Response response = new Response();
 
-      UserGroup userGroup = userGroupAdapter.GetUserGroupById(groupId);
+      UserGroup userGroup = userGroupAdapter.GetById(groupId);
       if (userGroup == null) {
         response.Success = false;
@@ -167,5 +167,5 @@
         return response;
       }
-      User user = userAdapter.GetUserById(permissionOwnerId);
+      User user = userAdapter.GetById(permissionOwnerId);
       if (user == null) {
         response.Success = false;
@@ -174,7 +174,7 @@
       }
       foreach (PermissionOwner permissionOwner in userGroup.Members) {
-        if (permissionOwner.PermissionOwnerId == permissionOwnerId) {
+        if (permissionOwner.Id == permissionOwnerId) {
           userGroup.Members.Remove(permissionOwner);
-          userGroupAdapter.UpdateUserGroup(userGroup);
+          userGroupAdapter.Update(userGroup);
           response.Success = true;
           response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_PERMISSIONOWNER_REMOVED;
